Subject: bug#71200: TRAMP: Trying to do a project-find-file or (find-directory) using the podman method causes a (wrong-type-argument stringp nil) error

From: alexis purslane <[email-masked]>
Date: Sun, 26 May 2024 21:43:14 +0000

Follow up:

I have these containers installed:

1. devcontainers/rust:latest
2. devcontainers/typescript-node:latest
3. devcontainers/cpp:latest
4. texlive/texlive:latest
5. tensorflow/tensorflow:latest-gpu

Only one of them wor--

....

Oh.

Git keeps "detecting dubious ownership" over each project's
.git/
for some reason, which prevents `git ls-files` from running,
hence the
problem. So this isn't really a bug per-se, it's more like a lack
of
clear enough errors.

I could also really use some help with getting the ownership and
gpg & ssh
keychain stuff (commits always fail because Magit over TRAMP can't
access my GPG or SSH private keys) figured out over TRAMP but I can get that help
elsewhere.

Anyway, when git ls-files fails, maybe the stderr output it
produced should be
printed instead of just trying to parse its empty stdin and
crashing.

On Sunday, May 26th, 2024 at 5:46 PM, alexis purslane <[email-masked]> wrote:

> > Does the ssh transport work with the "more specialized" containers?
> 

> It took me a bit to get that set up, but no, it doesn't. Did essentially this:
> 

> https://linuxhandbook.com/ssh-into-container/
> 

> Created a directory with some files in it in the homedir of the container,
> and then added the project with the location as `/ssh:root@localhost#7655:Folder`.
> It found the folder just fine (eg showed up in completion), but when I added
> it and did project-find-files, I got the same error as usual.
> 

> On Sunday, May 26th, 2024 at 5:26 PM, Dmitry Gutov [email-masked] wrote:
> 

> > On 26/05/2024 20:21, alexis purslane wrote:
> > 

> > > Actually, no, installing git does not help resolve the problem
> > > whatsoever. One works, the other two don't, but I can't tell why. The
> > > one that works is my general purpose development container, and the
> > > other two are more specialized, so that may be the origin of the
> > > problem, but it doesn't explain what in particular is missing. What does
> > > project.el rely on the host having installed?
> > 

> > project-find-file just uses 'git ls-files' if it's in a repository, or
> > 'find' otherwise.
> > 

> > If your file name string juggling made things work correctly, it seems
> > unlikely that the problem is in some missing software on the remote host.
> > 

> > Does the ssh transport work with the "more specialized" containers?